function stage_grid = optimizeGridForStagePair(base_grid, sectors_pre, sectors_post, min_number_sectors)
centroids_prev = [sectors_pre.Centroid]';
centroids_prev = reshape(centroids_prev, 2, length(centroids_prev)/2);
centroids_post = [sectors_post.Centroid]';
centroids_post = reshape(centroids_post, 2, length(centroids_post)/2);

stage_grid_pre = validateGridForStage(base_grid, centroids_prev, min_number_sectors);
stage_grid = validateGridForStage(stage_grid_pre, centroids_post, min_number_sectors);
return
